Skip to main content
Document Operations

Move document to done stage

<small>Requires an API token with the Document Manager role.</small>

POST
/documents/{document}/stage-transitions/done

Moves a document to the 'done' stage in the document workflow, for documents that will not be signed through fynk.

Requires that the document's stage is currently one of: draft, approved_draft, review or approved_review, and that there are no checkpoints that would block the transition.

Transitioning to 'done' by sending this request is only necessary for documents that you do not intend to sign through fynk. Documents that go through fynk's signing process will automatically move to the 'done' stage as soon as they are fully signed.

Conflict responses

There are a variety of conditions that may cause this request to return a 409 Conflict response, which are not necessarily under the control of the API client that is making the request. Some examples of things that would cause the request to fail in this way include but are not limited to:

  • The document being edited in fynk while the request is sent
  • A mandatory dynamic field not having a value assigned
  • Unresolved proposed changes on the document

If one of these conditions occurs, the response's message field will include a short explanation of the issue.

Authorizationstringheaderrequired

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

documentstringrequired

The document UUID

Response

application/json

DocumentDetailResource

dataobjectrequired